<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="unitPreparations"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idSlip"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['unit-preparation-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.dateCreate'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateCreate"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.slipNumber'|translate}}" field="slipNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.userMekanik'|translate}}" field="userMekanik" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.shipTo'|translate}}" *ngIf="idShipTo === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipToId">
                    <a [routerLink]="['../ship-to', rowData.shipToId  ]" >{{rowData.shipToName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.internal'|translate}}" *ngIf="idInternal === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.facility'|translate}}" *ngIf="idFacility === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityId">
                    <a [routerLink]="['../facility', rowData.facilityId  ]" >{{rowData.facilityDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.inventoryItem'|translate}}" *ngIf="idInventoryItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.inventoryItemId">
                    <a [routerLink]="['../inventory-item', rowData.inventoryItemId  ]" >{{rowData.inventoryItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitPreparation.orderItem'|translate}}" *ngIf="idOrderItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.orderItemId">
                    <a [routerLink]="['../order-item', rowData.orderItemId  ]" >{{rowData.orderItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'unit-preparation/'+ rowData.idSlip + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idSlip)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
